/**
DATA_TABLE
**/

table.data_table {
    width: 100%;
    border-collapse: collapse;
}

table.data_table th, table.data_table td {
    border: 1px solid #CCC;
    background-color: #FFF;
}

table.data_table thead tr th {
    color: #000;
    text-align: center;
    font-weight: bold;
    background: url('images/menu_bg.png') repeat;
    background-position:0 -1px;
    font-size: 12px;
    color:#FFF;
}


table.data_table tbody tr td{
    white-space: nowrap;
    font-size: 10px;
}

table.data_table tbody tr.even td {
    background-color: #FFF;
}

table.data_table tbody tr.odd td {
    background-color: #EEE;
}

table.data_table td.left, table.data_table th.left {
    text-align: left;
}
table.data_table td.center, table.data_table th.center {
    text-align: center;
}
table.data_table td.right, table.data_table th.right {
    text-align: right;
}

table.data_table img {
    vertical-align: middle;
}

table.data_table tr.no_data td {
    font-style: italic;
    text-align: center;
}

table.data_table thead tr th input.filter {
    width: 96%;
    margin-top: 5px;
}

table.data_table tfoot tr td {
    font-size: 12px;
    border-top: 3px double #CCC;
    font-weight: bold;
}


/**
COMMON
**/

.action {
    cursor: pointer;
}

.clearDate {
    cursor: pointer;
}

.toolbar {
    margin-bottom: 10px;
    display: block;
}

.hidden {
    display: none !important;
}

.ui-tabs-panel {
    height: auto;
    max-height: 500px;
}

.link {
    color: #0000ff;
    cursor: pointer;
}

/************************
idlForm
************************/

form.idlForm {
    margin: 0px; 
    font-family: "Trebuchet MS","tahoma" !important;
    font-size: 11.5167px !important;
}

form.idlForm fieldset {
    border: none;
}

form.idlForm fieldset legend {
    padding: 0px;
    margin: 0px;
}


form.idlForm div.inline {
    border-bottom: 1px solid #CCC;
    padding: 4px;
    margin: 0px;
    width: 100%;
}

form.idlForm div.inline.last {
    border: none;
}


form.idlForm div.inline label {
    margin: 0px;
    width: 150px;
    display: inline-block;
    vertical-align: top;
    font-weight: bold;
    /*font-size: 1em !important;*/
}


form.idlForm div.inline input[type=text] {
    width: 200px;
    display: inline-block;
}

form.idlForm div.inline input[type=password] {
    width: 200px;
    display: inline-block;
}

form.idlForm div.inline textarea {
    width: 200px;
    display: inline-block;
}

form.idlForm div.inline select {
    width: 205px;
    display: inline-block;
}

form.idlForm div.inline ul {
    width: 200px;
    display: inline-block;
    overflow: auto;
    height: 100px;
}

form.idlForm div.inline div.container {
    display: inline-block;
    width: 800px;
}

form.idlForm div.inline img {
    border: none;
    vertical-align: middle;
    margin-top: -2px;
}

form.idlForm div.button_pane {
    border-top:1px solid #CCC;
    text-align: right;
    margin-top: 10px;
    padding: 5px;
}

form.idlForm input {
    margin: 0px;
}

form.idlForm input.center {
    text-align: center;
}

form.idlForm input[type=radio], form.idlForm input[type=checkbox] {
    margin-right: 4px !important;
}

form.idlForm span.spacer {
    width: 50px;
    display: inline-block;
}

form.idlForm span.spacer.min {
    width: 11px;
    display: inline-block;
}

form.idlForm span.spacer.mindate {
    width: 32px;
    display: inline-block;
}


/*form.idlForm .formError {
    background-color: #FF8F8F;
    cursor: help;
}*/

.formError {
    background-color: #FF8F8F;
    cursor: help;
}

input.right{
    text-align:right;
}
input.readonly, select.readonly{
    background:#ddd;
}

.formHint{
    color: #777;
    font-style: italic;
    font-size: 10px;
}

.readonly {
    background-color: #EEEEEE;
}

/*
idlBOX
*/

div.idlBox {
    margin-bottom: 10px;
}

div.idlBox div.title {
    background-image: url('images/sky_blue_grid.gif');
    background-position:0 -1px;
    border: 1px solid #CCC;
    padding: 4px;
    vertical-align: middle;
    font-weight: bold;
}

div.idlBox img {
    vertical-align: middle;
    margin-top: -2px;
    margin-right: 4px;

}

div.idlBox div.body {
    border: 1px solid #CCC;
    padding: 4px;
}

div.idlBox div.button_pane {
    border-top:1px solid #CCC;
    text-align: right;
    margin-top: 10px;
    padding: 5px;
}

div.idlBox div.body ul {

}

div.idlBox div.body ul li {
    border-bottom: 1px solid #CCC;
    padding: 4px;

}

div.idlBox div.body ul li a {
    text-decoration: none;
    color: #000;
}

div.idlBox div.body ul li.over {
    background-color: #FFA040;
    font-weight: bold;
    cursor: pointer;
}

div.idlBox div.body ul li.last {
    border-bottom: none;
}


/*TESTS*/

div.idlBox div.body table.layout {
    border: none;
    width: 100%;
}

div.idlBox div.body table.layout tr {
    border-bottom: 1px solid #CCC;

}

div.idlBox div.body table.layout tr.last {
    border: none;

}

div.idlBox div.body table.layout tr td {
    vertical-align: middle;
    white-space: nowrap;
    padding: 4px;
    margin-right: 10px;

}

div.idlBox div.body table.layout tr td label {
    width: 150px;
    display: inline-block;
    font-weight: bold;
    margin-top: -1px;
}

div.idlBox input[type=text] {
    width: 200px;
}

div.idlBox input[type=password] {
    width: 200px;
}

div.idlBox select {
    width: 205px;
}

div.idlBox textarea {
    width: 200px;
}



.ui-datepicker-trigger {
    margin-left: 3px;
    vertical-align: middle;
    margin-top: -2px;
    cursor: pointer;
}

.ui-datepicker{
    z-index: 2000;
    background-color: #fff;
}

.ui-datepicker select.ui-datepicker-month, .ui-datepicker select.ui-datepicker-year {
    font-size:0.6em;
    width:45%;
    float: none !important;
}